extends Node2D

export var ball_load = preload("res://preload/ball.tscn")
var sleep_mode =  0
onready var timer = $"../Timer"

func change_sleep_mode():
	if (sleep_mode == 0):
		timer.start(1)
	if (sleep_mode == 1):
		for child in self.get_children():
			child.sleep_ability = true
		timer.start(5)
	if (sleep_mode == 2):
		for child in self.get_children():
			child.mode = 1
		print("all balls stopped")

func _ready():
	seed(core.gen_seed)
	# randomize()
	timer.connect("timeout",self,"_out")
	timer.set_one_shot(true)
	
	for ball_height in range(0, core.ball_radius*2*core.ball_layers, core.ball_radius*2):
		for ball_num in range(rand_range(20,40)):
			var ball = ball_load.duplicate().instance()
			ball.position.x = rand_range(-1920+77, 1920*2-77)
			ball.position.y = 1080-37.5-ball_height
			add_child(ball)
			core.balls += 1
	
	change_sleep_mode()
	
func _out():
	self.sleep_mode += 1
	change_sleep_mode()
