extends Control

onready var Ip: LineEdit = $Login/IP
onready var PORT: LineEdit = $Login/Port
onready var Username: LineEdit = $Login/Username


func _ready():
	
	#core.player_name = ""
	#core.server_ip = ""
	#core.server_port = ""
	Ip.text = str(core.server_ip)
	PORT.text = str(core.server_port)
	Username.text = str(core.player_name)
	core.players = []
	core.player_names = []

	core.net = null
	core.net_max_players = 6
	core.net_max_hp = 100
	core.net_pistol_reload_time = 100
	core.net_rocket_reload_time = 2000
	core.net_pistol_damage = 5
	core.net_rocket_damage = 100
	core.net_mode = ""

	core.wait_time = 120
	core.game_started = false

	core.ball_radius = 20
	core.ball_min_layers = 2
	core.ball_gravity = 10
	core.gen_seed = 0
	core.ball_layers = 15
	core.genscale = 5
	core.window_scale = 3
	core.player_speed = 2
	core.player_gravity = 10
	core.player_floor_count = 0
	
	self.rpc_config("_sync_data",1)
	self.rpc_config("_done",1)


func _pair():
	core.server_port = PORT.text
	core.server_ip = Ip.text
	if (Username.text.empty()):
		Username.text = str(OS.get_unix_time())
	core.player_name = Username.text
	
	core._connect()
	core.net.connect("connection_succeeded", self, "_con_s")
	core.net.connect("connection_failed", self, "_con_f")


func _host():
	#core.server_ip = IP.get_local_addresses()[0]
	if (Username.text.empty()):
		Username.text = str(OS.get_unix_time())
	core.player_name = Username.text
	
	get_tree().change_scene("res://scenes/host.tscn")

func _con_s():
	core.net_mode = "peer"

func _con_f():
	core.net = null


