extends RigidBody2D


var done = false

func _shot(body):
	if (!done and is_network_master()):
		done = true
		for body in $Area2D.get_overlapping_bodies():
			if ("id" in body):
				if (body.id == "ball"):
					body.kill(body.name)
				if (body.id == "player"):
					body.get_child(10).value -= core.net_rocket_damage * 0.1
					body.apply_central_impulse(Vector2(1,1)/(body.position - global_position)*1000)
		for body in $Area2D2.get_overlapping_bodies():
			if ("id" in body):
				if (body.id == "ball"):
					body.start(body.name)
	var boom = preload("res://preload/boom.tscn").duplicate().instance()
	boom.position = global_position
	get_parent().add_child(boom)
	queue_free()
	
