extends KinematicBody2D

var vel = Vector2(0,0)

func _physics_process(delta):
	
	
	vel.y += core.player_gravity * 2
	
	vel.x += move_left_and_right() * core.player_speed * 1000 * delta
	
	if (Input.is_action_just_pressed("jump") and self.is_on_floor()):
		vel.y = -core.jump_force*10
	
	vel = move_and_slide(vel, Vector2(0,-1))

func move_left_and_right() -> float:
	return Input.get_action_strength("move_right") - Input.get_action_strength("move_left")
